# RFM propagation flow zones | Summary

- The *rfm_propagation_preprocessing* has the role to preprocess the transactions data on the propagation period so that we can assess customers RFM information.
  - [Learn more about this zone](article:31).
  
- The *rfm_propagation* has the role to apply the RFM scoring method to assess all customers on the propagation period.
  - [What are the RFM scoring methods ?](article:14)
  - [Learn more about this zone](article:32).
  
- The *rfm_propagation_last_dates* has the role to filter the RFM information on the most recent dates.
  - [Learn more about this zone](article:33).
  
- The *rfm_propagation_scores* has the role to analyze the evolution of the RFM scores over the time.
  - [Learn more about this zone](article:34).
  
- The *rfm_propagation_transitions* analyze how your customer segments transition from one to the other.
  - [Learn more about this zone](article:35).