# Flow zone presentation

The [transactions_preprocessing](flow_zone:q5FSh7v) is dedicated to transform the input transactions dataset so that the flow can handle it's data in a generic way.

![transactions_preprocessing.png](NOkHajk6GiQH)

For this purpose, recipe [compute_transactions_prepared](recipe:compute_transactions_prepared) uses the parameters set in the application [Transactions preprocessing section](article:38) to:
- Rename the project key columns.
- Date column handling:
  - Parse the date if needed.
  - Extract the year and month information from the date.
- Compute the total price: this is the product "Item quantity purchased" **x** "Item unit price".
- Retrieve the RFM reference date as a constant to the dataset. 
  - This date is computed based on the parameters set in the [RFM section](article:39).