# Flow zone presentation

The [rfm_segmentation](flow_zone:aBwza1c) is dedicated to learn and apply the RFM segmentation on your customers.

![rfm_segmentation.png](Std4N5CymbIp)

Based on dataset [customer_rfm_inputs](dataset:customer_rfm_inputs), recipe [compute_customer_rfm_segments](recipe:compute_customer_rfm_segments) learns the [RFM scoring method computation techniques](article:14).
Once learned: 
- All customers present in [customer_rfm_inputs](dataset:customer_rfm_inputs) are scored and segmented.
- The RFM scoring information is saved in the DSS folder [rfm_scoring_information](managed_folder:M7BxeddO) so that it can later be used to score customers present in the [rfm propagation flow zones](article:25).

