# Flow zone presentation

The [rfm_propagation](flow_zone:N6o8mzt) is dedicated to apply the [RFM segmentation](article:30) on your customers on a period larger than the one defined with the [dates filtering strategy](article:43). 

![rfm_propagation.png](PHuW6kExIWlz)


- Recipe [compute_propagation_customer_rfm_segments](recipe:compute_propagation_customer_rfm_segments) uses the RFM scoring method learned in the  [RFM segmentation phase](article:30) to assess each customer RFM, months after months. This information is saved in the dataset [propagation_customer_rfm_segments](dataset:propagation_customer_rfm_segments).

- Recipe [compute_propagation_only_customer_rfm_segments](recipe:compute_propagation_only_customer_rfm_segments) isolates all the customers x month RFM information that was already computed in the reference period.

- Recipe [compute_all_customer_rfm_segments](recipe:compute_all_customer_rfm_segments) union all the customers RFM information: 
  - RFM information coming from the reference period.
  - RFM information coming from the propagation period.
It leads to the dataset [all_customer_rfm_segments](dataset:all_customer_rfm_segments).