# Section presentation

The *Inputs* section lets you connect to your transaction table.

![dataiku_app_inputs.png](fAG7Lv5FD3O5)

# Section interactions

## Connection settings

![dku_app_inputs_connection_settings.png](CQAzcay1Bx5c)

This part is dedicated to setting your connection information. It will probably require your  admin to inform you about your connection type and schema.

***Why that step ?*** By default the Market Basket Analysis works with datasets in a filesystem connection.  In order to allow you to connect to your transaction data through the DSS catalog we need to change flow datasets so that they use a connection available on your instance.


## Reconfigure connection settings

![dku_app_reconfigure_connection_settings.png](VFvdsWzQU1pl)

Once you defined your connection settings, this part lets you click on the *RECONFIGURE* button. By doing this, all the flow will be reconfigured so that it works on your connection.

## Search transaction dataset

![dku_app_search_transactions_dataset.png](luiLUhnPpAxb)

Finally, you will need to look for the transaction table you want to use as a project input within your connection.
In order to do this: 
- 1: Refresh your web page. 
- 2: Once the page is refreshed, click on the "EDIT" button and define your table information on the 
![dku_app_search_transaction_dataset_1.png](v0c5iIIpVgs6) .
- 3: Don't forget to tick the option *Auto-test* so that the application takes into account your input dataset's schema:
![dku_app_search_transaction_dataset_2.png](owPhctUlpvNM) .
- 4: Finally, click on *COMMIT*: your table is now connected to the flow.


