# RFM flow zones | Summary

- The *inputs_zone* has the role to ingest your input data sources.
  - [Learn more about this zone](article:26).

- The *transactions_preprocessing* has the role to transform the input transactions dataset so that the flow can handle it's data in a generic way.
  - [Learn more about this zone](article:27).

- The *rfm_preprocessing* has the role to aggregate the transactions data at the customer granularity so that we get the features that are used to compute the **RFM** information.
  - [Learn more about this zone](article:28).

- The *segments_identication_sync* has the role to synchronize your custom **RF** labels in the connection used by your flow.
  - [What are FM labels ?](article:23)
  - [Learn more about this zone](article:29).

- The *rfm_segmentation* has the role to learn and apply the RFM segmentation on your customers.
  - [Learn more about the RFM scores computation techniques](article:14).
  - [Learn more about this zone](article:30).
  