# Flow zone presentation

The [inputs_zone](flow_zone:0iJ2C5k) is dedicated to the ingestion of your transactions table. 

![inputs_zone.png](5vqVYyw7G2tS)

It contains : 
* The [transactions_dataset](dataset:transactions_dataset): it is a dataset that contains the information or your transactions history. 
    * **Dataset Granularity**: 1 row =  The information of: 
        * ***A product***  (Product ID)
        * ***Purchased in a basket***  (Transaction ID)
        * ***In a given quantity***  (Product Quantity)
        * ***At a given unit price*** (Product Price)
        * ***At a given date*** (Date column)
        * ***By a given customer*** (Customer ID)

* The [fm_segments_identication](dataset:fm_segments_identication): it is a dataset that contains the information of the **RF** segments labelling ([Learn more about RF segments identification](article:23)).
    * This is an editable dataset where you will be free to modify the default **RF** segments labelling.