# Flow zones structure 

Below is the graph of the project's flow zones [(Learn more about Flow zones)](https://doc.dataiku.com/dss/latest/flow/zones.html):

![flow_zones.png](BnE0PduVEN5K)

Each flow zone is linked to a specific component of your project . 

The project is composed of two main blocks:
- [Flow zones / rfm](article:24): These flow zones are mainly dedicated to learning the RFM scoring method on a reference period. 
- [Flow zones / rfm propagation](article:25): These flow zones are mainly dedicated to apply the RFM scoring method on a larger period: this is what we call in this project the "RFM propagation".


**NOTE:** The flow render can vary if you disable the "RFM propagation". 
In that case, the flow will be displayed like below :arrow_down:: 
![flow_zones_without_rfm_propagation.png](NTU8tCyPypsS)


