# Explanation

*Keep transactions in a range before today* will filter the transactions history on a period of time having as boundaries : 
- The solution's execution time **T** as the newest date.
- A date before the solution's execution time as the oldest date, defined as "**T** - (**time_frame** x **time_unit**)", where:
  - ***time_unit***: is the time unit to subtract from **T**. It can be:
      - Months.
      - Years.
    
  - ***time_frame***: is the quantity of ***time_unit*** to subtract from **T**.

This is the date filtering strategy that has to be used if you want to activate the project automation. 


Below is a picture illustrating the effect of applying this dates filtering strategy on a dataset:

![keep_transactions_in_a_range_before_today.png](R3C13FVFYFUM)


