# Slide presentation

This slide presents visualizations aimed at further explaining our RFM segments and global scores.


## Total and average revenue by segments
![total_and_average_revenue_by_segments.png](oJkRz7mi3UK8)

These two charts let you analyze the revenue you get from your customers depending on their *RF segment* ([What are RF segments ?](article:23)). 
- Left chart analyzes the total revenue from all customers belonging to a given segment.
- Right chart analyzes the average revenue from customers belonging to a given segment.

## RFM and RFMD scores distribution
![rfm_and_rfmd_scores_distribution.png](CDL5sA3967Bb)
These two charts let you analyze the distribution of the RFM (left chart) and RFMD (right chart) scores.

## RFM and RFMD most important segments
![rfm_and_rfmd_most_important_segments.png](MiM4r9O3EJd8)
These two charts let you identify your top 30 RFM segments, in terms of "number of customers contained into it". The left chart shows the RFM segments while the right chart shows the RFMD segments.


